<?php
add_action('init', 'golden_eagle_option');
if (!function_exists('golden_eagle_option')) {
    function golden_eagle_option() {
        // VARIABLES
		$themename = 'Тема Golden Eagle Lite ';
        $shortname = "of";
        // Populate OptionsFramework option in array for use in theme
        global $of_options;
        $of_options = goldeneagle_get_option('of_options');
        // Background Defaults
        $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
        // Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
        // Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
        // If using image radio buttons, define a directory path
        $imagepath = get_stylesheet_directory_uri() . '/images/';

        $options = array(
        array("name" => "General Settings / Общие настройки",
            "type" => "heading"),
        array("name" => "Логотип",
            "desc" => "Выберите свой собственный логотип. Оптимальный размер: 300px по ширине и 90px по высоте.",
            "id" => "goldeneagle_logo",
            "type" => "upload"),
        array("name" => "Favicon",
            "desc" => "Выберите иконку 16px x 16px, которая будет показана в адресной строке.",
            "id" => "goldeneagle_favicon",
            "type" => "upload"),      
        //Home Page Slider Setting
        array("name" => "Slider Settings / Настройки слайдера",
            "type" => "heading"),
         //First Slider
        array("name" => "Слайд 1",
            "desc" => "Выберите изображение для первого слайда. Оптимальный размер 950px по ширине и 480px по высоте.",
            "id" => "goldeneagle_slideimage1",
            "std" => "",
            "type" => "upload"),
         array("name" => "Ссылка со слайда 1",
            "desc" => "Введите ссылку с первого слайда",
            "id" => "goldeneagle_slidelink1",
            "std" => "",
            "type" => "text"),
		  //Second Slider
        array("name" => "Слайд 2",
            "desc" => "Выберите изображение для второго слайда. Оптимальный размер 950px по ширине и 480px по высоте.",
            "id" => "goldeneagle_slideimage2",
            "std" => "",
            "type" => "upload"),
        array("name" => "Ссылка со слайда 2",
            "desc" => "Введите ссылку со второго слайда",
            "id" => "goldeneagle_slidelink2",
            "std" => "",
            "type" => "text"),
		//Homepage Feature Area
        array("name" => "Homepage Feature Area / Секция рекомендуемого",
            "type" => "heading"),
		//Page Heading
        array("name" => "Основной заголовок",
            "desc" => "Введите текст для заголовка страницы.",
            "id" => "goldeneagle_page_heading",
            "std" => "",
            "type" => "textarea"),
		//Right Feature Separetor
        array("name" => "Секция 1 начинается здесь.",
            "type" => "saperate",
            "class" => "saperator"),
        //Right Feature Area
        array("name" => "Первое изображение секции рекомендуемого на главной",
            "desc" => "Выберите первое изображение для секции рекомендуемого на главной странице.",
            "id" => "goldeneagle_featureimg1",
            "std" => "",
            "type" => "upload"),
        array("name" => "Заголовок для первой колонки",
            "desc" => "Введите текст заголовка для первой колонки рекомендуемого.",
            "id" => "goldeneagle_firsthead",
            "std" => "",
            "type" => "textarea"),
        array("name" => "Описание для первой колонки",
            "desc" => "Введите текст описания для первой колонки рекомендуемого.",
            "id" => "goldeneagle_firstdesc",
            "std" => "",
            "type" => "textarea"),
		array("name" => "Ссылка для первой колонки",
            "desc" => "Введите ссылку для первой колонки рекомендуемого.",
            "id" => "goldeneagle_link1",
            "std" => "",
            "type" => "text"),
        //Second Feature Separetor
        array("name" => "Секция 2 начинается здесь.",
            "type" => "saperate",
            "class" => "saperator"),
        array("name" => "Второе изображение секции рекомендуемого на главной",
            "desc" => "Выберите второе изображение для секции рекомендуемого на главной странице.",
            "id" => "goldeneagle_featureimg2",
            "std" => "",
            "type" => "upload"),
        array("name" => "Заголовок для второй колонки",
            "desc" => "Введите текст заголовка для второй колонки рекомендуемого.",
            "id" => "goldeneagle_secondhead",
            "std" => "",
            "type" => "textarea"),
        array("name" => "Описание для второй колонки",
            "desc" => "Введите текст описания для второй колонки рекомендуемого.",
            "id" => "goldeneagle_seconddesc",
            "std" => "",
            "type" => "textarea"),			
		array("name" => "Ссылка для второй колонки",
            "desc" => "Введите ссылку для второй колонки рекомендуемого.",
            "id" => "goldeneagle_link2",
            "std" => "",
            "type" => "text"),
        //Third Feature Separetor
        array("name" => "Секция 3 начинается здесь.",
            "type" => "saperate",
            "class" => "saperator"),
        array("name" => "Третье изображение секции рекомендуемого на главной",
            "desc" => "Выберите третье изображение для секции рекомендуемого на главной странице.",
            "id" => "goldeneagle_featureimg3",
            "std" => "",
            "type" => "upload"),
        array("name" => "Заголовок для третьей колонки",
            "desc" => "Введите текст заголовка для третьей колонки рекомендуемого.",
            "id" => "goldeneagle_thirdhead",
            "std" => "",
            "type" => "textarea"),
        array("name" => "Описание для третьей колонки",
            "desc" => "Введите текст описания для третьей колонки рекомендуемого.",
            "id" => "goldeneagle_thirddesc",
            "std" => "",
            "type" => "textarea"),			
		array("name" => "Ссылка для третьей колонки",
            "desc" => "Введите ссылку для третьей колонки рекомендуемого.",
            "id" => "goldeneagle_link3",
            "std" => "",
            "type" => "text"),	
        //Fourth Feature Separetor
        array("name" => "Секция 4 начинается здесь.",
            "type" => "saperate",
            "class" => "saperator"),
        array("name" => "Четвертое изображение секции рекомендуемого на главной",
            "desc" => "Выберите четвертое изображение для секции рекомендуемого на главной странице.",
            "id" => "goldeneagle_featureimg4",
            "std" => "",
            "type" => "upload"),
        array("name" => "Заголовок для четвертой колонки",
            "desc" => "Введите текст заголовка для третьей колонки рекомендуемого.",
            "id" => "goldeneagle_fourthhead",
            "std" => "",
            "type" => "textarea"),		
        array("name" => "Описание для четвертой колонки",
            "desc" => "Введите текст описания для четвертой колонки рекомендуемого.",
            "id" => "goldeneagle_fourthdesc",
            "std" => "",
            "type" => "textarea"),		
		array("name" => "Ссылка для четвертой колонки",
            "desc" => "Введите ссылку для четвертой колонки рекомендуемого..",
            "id" => "goldeneagle_link4",
            "std" => "",
            "type" => "text"),		
        //Home Page Bottom Setting
        array("name" => "Home Page Bottom Settings / Нижняя часть главной страницы",
            "type" => "heading"),
		array("name" => "Строка ключевых фраз",
            "desc" => "Введите ключевые слова, характеризующие ваш сайт.",
            "id" => "goldeneagle_tagline_text",
            "std" => "",
            "type" => "textarea"),
		array("name" => "Текст кнопки рекомендуемого",
            "desc" => "Введите текст для кнопки рекомендуемого в нижней части главной страницы.",
            "id" => "goldeneagle_tagline_button",
            "std" => "",
            "type" => "text"),			
		array("name" => "Ссылка для кнопки рекомендуемого",
            "desc" => "Введите адрес ссылки для кнопки рекомендуемого в нижней части главной страницы.",
            "id" => "goldeneagle_tagline_button_link",
            "std" => "",
            "type" => "text"),
		 //Bottom Feature Separetor
        array("name" => "Нижняя секция начинается здесь",
            "type" => "saperate",
            "class" => "saperator"),
		array("name" => "Заголовок слева",
            "desc" => "Введите текст заголовка слева.",
            "id" => "goldeneagle_bottomleft_heading",
            "std" => "",
            "type" => "textarea"),
			
		array("name" => "Текст слева",
            "desc" => "Введите текст для левой нижней секции.",
            "id" => "goldeneagle_bottomleft_description",
            "std" => "",
            "type" => "textarea"),			
		array("name" => "Введите заголовок вашего сайта",
            "desc" => "Введите заголовок вашего сайта здесь.",
            "id" => "goldeneagle_bottom_blog",
            "std" => "",
            "type" => "textarea"),			
		array("name" => "Заголовок предложения",
            "desc" => "Введите текст заголовка для вашего предложения",
            "id" => "goldeneagle_testimonial",
            "std" => "",
            "type" => "textarea"),			
		array("name" => "Текст предложения",
            "desc" => "Введите текст вашего предложения или код.",
            "id" => "goldeneagle_testimonial_text",
            "std" => "",
            "type" => "textarea"),
//****=============================================================================****//
//****-----------This code is used for creating color styleshteet options----------****//							
//****=============================================================================****//				
        array("name" => "Styling Options / Настройки стилей",
            "type" => "heading"),
        array("name" => "Пользовательский CSS",
            "desc" => "Вы можете быстро добавить некоторые CSS в вашу тему, вставив их в этот блок.",
            "id" => "goldeneagle_customcss",
            "std" => "",
            "type" => "textarea"),
//****=============================================================================****//
//****-------------This code is used for creating social logos options-------------****//					
//****=============================================================================****//
		array("name" => "Social Logos / Социальные кнопки",
            "type" => "heading"),
        array("name" => "Адрес Facebook",
            "desc" => "Введите свой адрес в Facebook",
            "id" => "goldeneagle_facebook",
            "std" => "#",
            "type" => "text"),         
        array("name" => "Адрес Twitter",
            "desc" => "Введите свой адрес в Twitter",
            "id" => "goldeneagle_twitter",
            "std" => "#",
            "type" => "text"),        
        array("name" => "RSS",
            "desc" => "Введите адрес RSS-ленты",
            "id" => "goldeneagle_rss",
            "std" => "#",
            "type" => "text"),			
		 array("name" => "Адрес Google+",
            "desc" => "Введите свой адрес в Google+",
            "id" => "goldeneagle_google",
            "std" => "#",
            "type" => "text"));        
        goldeneagle_update_option('of_template', $options);
        goldeneagle_update_option('of_themename', $themename);
        goldeneagle_update_option('of_shortname', $shortname);
    }
}